using System;
using System.Collections.Generic;
using System.Text;

namespace Client
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Console.WriteLine("Press any key when the service is ready.");
            Console.ReadKey();

            decimal result = 0;
            using (DerivativesCalculatorProxy proxy =
                new DerivativesCalculatorProxy("CalculatorEndpoint"))
            {
                result = proxy.CalculateDerivative(
                    new string[] { "MSFT" },
                    new decimal[] { 3 },
                    new string[] { });
                proxy.Close();
            }
            Console.WriteLine(string.Format("Result: {0}", result));

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();

        }
    }
}
