﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Security.Permissions;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Web;
using System.Web.Security;


namespace Service
{
	public class ResourceAccessServiceType: IResourceAccessContract
	{
		#region IResourceAccessContract Members

		[PrincipalPermission(SecurityAction.Demand, Role = "StaffMember")]
		[PrincipalPermission(SecurityAction.Demand, Role = "Manager")]
		string IResourceAccessContract.AccessCoal()
		{
			return "Here is your coal!";
		}

		[PrincipalPermission(SecurityAction.Demand, Role = "Manager")]
		string IResourceAccessContract.AccessDiamond()
		{
			return "Here is your diamond!";
		}

		#endregion
}
}
