﻿


using System;
using System.Configuration;
using System.Messaging;
using System.ServiceModel;
using System.Transactions;

namespace WCFHandsOn
{

    
    class Client
    {
        static void Main()
        {
            // Create a proxy
            using (BillPaymentProxy proxy = new BillPaymentProxy())
            {
                //Create a transaction scope.
                using (TransactionScope scope = new TransactionScope(TransactionScopeOption.Required))
                {
                    
                    proxy.PayBill(12345,67890,50);
                    Console.WriteLine("Paying $50  towards acount 67890");

                    proxy.PayBill(22345, 77890, 100);
                    Console.WriteLine("Paying $100 towards account 77890");

                    // Complete the transaction.
                    scope.Complete();
                }

            }

            Console.WriteLine();
            Console.WriteLine("Press <ENTER> to terminate client.");
            Console.ReadLine();
        }
    }
}
