using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.ServiceModel;

namespace GenericElectricCompany
{
    class Program
    {
       
        static void Main(string[] args)
        {
            // Get base address from app settings in configuration
            Uri baseAddressBillPay = new Uri(ConfigurationManager.AppSettings["baseAddress"]);


            // Instantiate new ServiceHost 
            ServiceHost BillPayHost = new ServiceHost(typeof(ElectricBillPay), baseAddressBillPay);
            BillPayHost.Open();
            Console.WriteLine("Generic Electric Bill Payment Service is Online.");
            Console.WriteLine("-----------------------------------");


            Console.WriteLine("Press any key to terminate service.");
            Console.ReadKey();

            BillPayHost.Close();
            
        }
    }
}
