using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Xml;
using System.IO;

namespace ClientAuditBehavior
{
    public class ClientAuditMessageInspector : IProxyMessageInspector
    {
        private IAudit _proxy;

        public ClientAuditMessageInspector(IAudit prx)
        {
            
            _proxy = prx;
        }

        public void AfterReceiveReply(
            ref Message reply, 
            object correlationState)
        {
            MessageBuffer buf = reply.CreateBufferedCopy(1000000);
            Message msg = buf.CreateMessage();

            TextWriter strWrt = new StringWriter();
            XmlTextWriter wrt = new XmlTextWriter(strWrt);
            msg.WriteBody(wrt);
            wrt.Flush();
            strWrt.Flush();
            String msgStr = strWrt.ToString();
            wrt.Close();
            strWrt.Close();

            _proxy.ProcessMessage("Client",msg.Headers.Action, msgStr);
            msg.Close();
            reply = buf.CreateMessage();
            

        }

        public object BeforeSendRequest(
            ref Message request, 
            IClientChannel channel)
        {
          

            return null;
        }
    }
}
