using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.IO;
using System.ServiceModel;

namespace ServiceAuditBehavior
{
    class ServiceAuditMessageInspector : IStubMessageInspector
    {
        private IAudit _proxy;

        public ServiceAuditMessageInspector(IAudit prx)
        {
            _proxy = prx;
        }

        public object AfterReceiveRequest(ref Message request, IClientChannel channel, InstanceContext instanceContext)
        {

            _proxy.ProcessMessage("Server", request.Headers.Action, request.ToString());
            
            return null;


        }

        public void BeforeSendReply(ref Message request, object correlationState)
        {
            System.Console.WriteLine(request.Headers.MessageVersion.Envelope);
        }
    }
}
