using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel.Configuration;
namespace ServiceAuditBehavior
{
    class ServiceAuditBehaviorExtension: BehaviorExtensionSection 
    {
        public override string ConfiguredSectionName
        {
            get { return "ServiceAuditBehavior"; }
        }
        [ConfigurationProperty("Enabled")]
        public string Enabled
        {
            get { return (string)base["Enabled"]; }
            set { base["Enabled"] = value; }
        }
        public override object CreateBehavior()
        {
            ServiceAuditBehavior behavior = new ServiceAuditBehavior();
            behavior.Enabled = Enabled;
            return behavior;
        }
    }
}
