using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.Text;

namespace PublicationSubscription
{
	[ServiceContract(Session=true,CallbackContract=typeof(ISubscriber))]
	public interface IPublisher
	{
		[OperationContract]
		KnownDataPoint[] GetKnownDataPoints();

		[OperationContract]
		void Subscribe(KnownDataPoint[] dataPoints, out bool subscriptionAccepted);
	}
}
