using System;
using System.Collections.Generic;
using System.IO;
using System.ServiceModel;
using System.Text;

namespace PublicationSubscription
{
	public class SubscriberProxy: ClientBase<ISubscriber>, ISubscriber
	{
		private SubscriberProxy()
		{
		}

		public SubscriberProxy(string configurationName): base(configurationName)
		{
		}
	
		#region ISubscriber Members

		void  ISubscriber.Notify(Stream stream)
		{
			Console.WriteLine("Sending a new stream.");
			this.InnerProxy.Notify(stream); 
		}

		#endregion
	}
}
