using System;
using System.Collections.Generic;
using System.ServiceModel.Configuration;
using System.Text;

namespace System.ServiceModel
{
	public class PlainXMLEncoderBindingElementExtensionSection: BindingElementExtensionSection
	{
		private const string sectionName = @"plainXMLEncoding";

		public override Type BindingElementType
		{
			get 
			{
				return typeof(PlainXMLEncoderBindingElement);
			}
		}

		protected override BindingElement CreateBindingElement()
		{
			return new PlainXMLEncoderBindingElement();
		}

		public override string ConfiguredSectionName
		{
			get 
			{ 
				return PlainXMLEncoderBindingElementExtensionSection.sectionName; 
			}
		}
}
}
