using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.Text;

namespace System.ServiceModel
{
	public class PlainXMLRepresentationStateTransferBinding
	{
		public static Binding Build()
		{
			CustomBinding binding = new CustomBinding();

			binding.Elements.Add(new PlainXMLEncoderBindingElement());

			HttpTransportBindingElement transportElement = new HttpTransportBindingElement();
			transportElement.MapAddressingHeadersToHttpHeaders = true;
			binding.Elements.Add(transportElement);

			return binding;
		}
	}
}
