using System;
using System.Collections.Generic;
using System.Text;

namespace DerivativesCalculator
{
    public class DerivativesCalculatorServiceType: IDerivativesCalculator
    {
        #region IDerivativesCalculator Members

        decimal IDerivativesCalculator.CalculateDerivative(
            string[] symbols, 
            decimal[] parameters, 
            string[] functions)
        {
            Console.WriteLine(
                "Message received from {0}.", 
                    System.ServiceModel.
                    OperationContext.
                    Current.ServiceSecurityContext.
                    WindowsIdentity.Name.ToString());
            return new Calculator().CalculateDerivative(
                symbols, parameters, functions);
        }

        void IDerivativesCalculator.DoNothing()
        {
            return;
        }

        #endregion
    }
}
