using System;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Configuration;
using System.Runtime.Serialization;
using System.Security.Authorization;
using System.Security.Cryptography;
using System.Security.Cryptography.X509Certificates;
using System.ServiceModel;
using System.ServiceModel.Security;
using System.ServiceModel.Security.Protocols;
using System.ServiceModel.Security.Tokens;
using System.Text;
using System.Threading;
using System.Workflow.Runtime;
using System.Workflow.Runtime.Hosting;
using System.Xml;

namespace SecurityTokenService
{
	public class AuthorizationPolicy : IAuthorizationPolicy
	{
		public AuthorizationPolicy()
		{
		}


		public ClaimSet Issuer
		{
			get
			{
                return DefaultClaimSet.System.Issuer;
			}
		}

		#region IAuthorizationPolicy Members

		bool IAuthorizationPolicy.Evaluate(EvaluationContext evaluationContext, ref object state)
		{
            return true;
		}

        ClaimSet IAuthorizationPolicy.Issuer
        {
            get
            {
                return this.Issuer;
            }
        }


		#endregion

		

        #region IAuthorizationComponent Members

        string IAuthorizationComponent.Id
        {
            get 
            {
                return Guid.NewGuid().ToString();
            }
        }

        #endregion
    }


}