using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Transactions;

namespace ATMClient
{
    public partial class Form1 : Form
    {
        ConsumerBankingCoreProxy proxy = new ConsumerBankingCoreProxy("CoreBanking");
        
        public Form1()
        {
            InitializeComponent();
        }


        private void btnPayBill_Click(object sender, EventArgs e)
        {
            ConsumerBankingBillPaymentProxy proxyBillPay = new ConsumerBankingBillPaymentProxy("BillPay");
            bool success = proxyBillPay.PayBill(Convert.ToInt32(tbAccountNumber.Text), Convert.ToInt32(tbElectricAccountNumber.Text), Convert.ToDecimal(tbAmountToPay.Text));
   
   
            if (success)
            {
                System.Windows.Forms.MessageBox.Show("Bill payment successful!");

            }
            else
            {
                System.Windows.Forms.MessageBox.Show("Bill payment failed!");

            }
             

        }






    }
}