using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Configuration;

namespace Samples.Microsoft.Com
{
   
    [ServiceContract]
    public interface IInteropHelloWorld
    {
    [OperationContract]
        string InteropHelloWorld(string Name);   
    }
    
    public class InteropHelloWorld2 : IInteropHelloWorld
    {

        public string InteropHelloWorld(string Name)
        {
            return "Hello " + Name + ", you've just interop'd.";
        }

        static void Main(string[] args)
        {

            Uri baseAddress = new Uri(ConfigurationManager.AppSettings["baseAddress"]);
            // Instantiate new ServiceHost 

            ServiceHost service = new ServiceHost(typeof(InteropHelloWorld2), baseAddress);
          

            service.Open();

            Console.WriteLine("Service is available.");

            Console.ReadLine();
        }
    
    
    }


    }


