using System;
using System.Collections.Generic;
using System.Configuration;
using System.ServiceModel;
using System.Text;

namespace CustomTransport
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Console.WriteLine("Press any key when the service is ready.");
            Console.ReadKey();

            IGreeting proxy = new ChannelFactory<IGreeting>(new NetTcpBinding(), new EndpointAddress(ConfigurationManager.AppSettings["GreetingServiceAddress"])).CreateChannel();
            proxy.Greeting(
                "Hello, world.");
            ((IChannel)proxy).Close();
            
            
            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();

        }
    }
}
