using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;

namespace Service
{

    [ServiceAuditBehavior.Audit]
    public class Chat : IChat
    {
        static void Main(string[] args)
        {
            Uri baseServiceAddress = new Uri(System.Configuration.ConfigurationManager.AppSettings.Get("baseAddress"));
            ServiceHost sh = new ServiceHost(typeof(Chat),baseServiceAddress);
            //sh.Description.Behaviors.Add(new ServiceAuditBehavior.AuditAttribute());
            sh.Open();
            Console.WriteLine("Service is now running.");

            Console.ReadLine();

        }


        public string Talk(string chatText)
        {
            Console.WriteLine("Client said:" + chatText);
            return ("Did you say " + chatText + " ?");
        }



    }
}
