using System;
using System.Collections.Generic;
using System.Text;

namespace PublicationSubscription
{
	public delegate void NextValueHandler(IDataPoint sender, byte[] newValue);

	public interface IDataPoint
	{
		string Name
		{
			get;
		}

		string Description
		{
			get;
		}

		Guid Identifier
		{
			get;
		}

		event NextValueHandler NextValue;
	}

}
