using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.Text;

namespace Fabrikam
{
    [ServiceContract(Session=true)]
    //[BindingRequirements(RequireOrderedDelivery=true)]
    public interface ITradingService
    {
        [OperationContract(IsInitiating=true,IsTerminating=false)]
        string BeginDeal();
        [OperationContract(IsInitiating=false,IsTerminating=false,IsOneWay=true)]
        void AddTrade(Trade trade);
        [OperationContract(IsInitiating=false,IsTerminating=false,IsOneWay=true)]
        void AddFunction(string function);
        [OperationContract(IsInitiating=false,IsTerminating=false)]
        Decimal Calculate();
        [OperationContract(IsInitiating=false,IsTerminating=false,IsOneWay=false)]
        [TransactionFlow(TransactionFlowOption.Required)]
        void Purchase();
        [OperationContract(IsInitiating=false,IsTerminating=true,IsOneWay=true)]
        void EndDeal();
    }
}
